<!--#include virtual="/includes/ripencc/disihead3.inc"-->

<h1>NAME</h1>
<pre>
    dnssec-copyprivate Copy the private zone signing keys for a zone
    to another directory.

</pre>
<h1>SYNOPSIS</h1>
<pre>
    dnssec-copyprivate  example.foo.  /path/dynamiczones/

</pre>
<h1>DESCRIPTION</h1>
<p>A Bind server that is configured for dynamic updates will need it's
private keys on-line. If one wants to use the tools from Net::DNS::SEC::Maint
to resign dynamic zones occasionally one will need to copy the private
keys from the keydatabase to a directory where the BIND nameserver can
find them.</p>
<p>This tool will fetch the 'active' key pairs from the key database and
copy them to the directory specified.</p>
<h1>CONFIGURATION</h1>
<p>This tool needs access to the dnssecmaint configuration file. If the
DNSSECMAINT_CONFFILE does not contain a full path to the configuration
file the system will use the default location. (/usr/local/etc/dnssecmaint.conf)</p>
<h1>COPYRIGHT</h1>
<p>Copyright (c) 2001  RIPE NCC.  Author Olaf M. Kolkman</p>
<p>All Rights Reserved</p>
<p>Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation, and that the name of the author not be used
in advertising or publicity pertaining to distribution of the software
without specific, written prior permission.</p>
<p>THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS; IN NO
EVENT SHALL AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR
CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.</p>
<h1>SEE ALSO</h1>
<p>Net::DNS::SEC::Maint::User,  Net::DNS::SEC::Maint::Key, dnssec-signzone</p>
<!--#include virtual="/templates/ripencc/3panetopics.inc"-->

<!--#include virtual="related.inc"-->

<!--#include virtual="/includes/ripencc/disifoot3.inc"-->

</html>

